Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 23449035: Make v8 compile on VS2013. (Closed)

Created:
6 years, 2 months ago by zturner
Modified:
5 years, 11 months ago
CC:
v8-dev
Visibility:
Public.

Description

Make v8 compile on VS2013. VS2013 contains a number of improvements, most notably the addition of all C99 math functions. I'm a little bit concerned about the change I had to make in cpu-profiler.cc, but I spent quite a bit of time looking at it and was unable to figure out any rational explanation for the warning. It's possible it's spurious. Since it seems like a useful warning in general though, I chose not to disable globally at the gyp level. I do think someone with expertise here should probably try to determine if this is a legitimate warning. BUG=288948 R=dslomov@chromium.org Committed: https://code.google.com/p/v8/source/detail?r=16775

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+21 lines, -3 lines) Patch
M src/cpu-profiler.cc View 1 chunk +10 lines, -0 lines 0 comments Download
M src/platform.h View 2 chunks +4 lines, -0 lines 0 comments Download
M src/preparser.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M src/win32-math.h View 2 chunks +4 lines, -0 lines 0 comments Download
M src/win32-math.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 8 (0 generated)
zturner
6 years, 2 months ago (2013-09-13 23:14:07 UTC) #1
zturner
On 2013/09/13 23:14:07, zturner wrote: Not sure why the trybot is unable to apply the ...
6 years, 2 months ago (2013-09-13 23:31:38 UTC) #2
Dmitry Lomov (no reviews)
On 2013/09/13 23:31:38, zturner wrote: > On 2013/09/13 23:14:07, zturner wrote: > > Not sure ...
6 years, 2 months ago (2013-09-14 19:32:07 UTC) #3
zturner
On 2013/09/14 19:32:07, Dmitry Lomov (chromium) wrote: > On 2013/09/13 23:31:38, zturner wrote: > > ...
6 years, 2 months ago (2013-09-16 16:44:02 UTC) #4
Dmitry Lomov (no reviews)
lgtm (sorry for late reply) I'll land for you
6 years, 2 months ago (2013-09-17 09:54:36 UTC) #5
Dmitry Lomov (no reviews)
Committed patchset #1 manually as r16775 (presubmit successful).
6 years, 2 months ago (2013-09-17 15:26:46 UTC) #6
Sven Panne
Actually, the cpu-profiler.cc part is wrong. :-/ SamplingCircularQueue, a member of ProfilerEventsProcessor, actually has a ...
5 years, 11 months ago (2014-01-09 07:36:15 UTC) #7
Dmitry Lomov (no reviews)
5 years, 11 months ago (2014-01-10 08:33:32 UTC) #8
Message was sent while issue was closed.
On 2014/01/09 07:36:15, Sven Panne wrote:
> Actually, the cpu-profiler.cc part is wrong. :-/ SamplingCircularQueue, a
member
> of ProfilerEventsProcessor, actually has a 64-byte alignment requirement, so
> VS2013 is correct. We have similar problems in test-cpu-profiler.cc, and all
> those problems are platform-independent, because no platform guarantees such
an
> alignment for new/malloc. Probably we're just lucky because
> ProfilerEventsProcessor is so big that the underlying memory management system
> allocates new pages from the OS, anyway, having the required alignment.
> 
> I'll come up with a real fix...

To be fair, the problem with cpu-profiler.cc existed before this CL, it is just
that VS2013 is kind enough to warn us that alignment is wrong. 
Thanks for taking a deep look!

Powered by Google App Engine
This is Rietveld 408576698